Subject: Re: [PATCH 3/3] Use __weak macro for smp_setup_processor_id

From: Andrew Morton <[email-masked]>
Date: Fri, 18 Apr 2008 01:38:57 -0700

On Fri, 18 Apr 2008 18:19:07 +1000 Benjamin Herrenschmidt <[email-masked]> wrote:

> 
> On Fri, 2008-04-18 at 00:07 -0700, Andrew Morton wrote:
> > On Fri, 18 Apr 2008 16:56:18 +1000 Benjamin Herrenschmidt <[email-masked]> wrote:
> > 
> > > Use the __weak macro instead of the longer __attribute__ ((weak)) form
> > > 
> > > Signed-off-by: Benjamin Herrenschmidt <[email-masked]>
> > > --
> > > 
> > >  init/main.c |    2 +-
> > >  1 file changed, 1 insertion(+), 1 deletion(-)
> > > 
> > > --- linux-work.orig/init/main.c	2008-04-18 16:44:32.000000000 +1000
> > > +++ linux-work/init/main.c	2008-04-18 16:44:37.000000000 +1000
> > > @@ -500,7 +500,7 @@ static void __init boot_cpu_init(void)
> > >  	cpu_set(cpu, cpu_possible_map);
> > >  }
> > >  
> > > -void __init __attribute__((weak)) smp_setup_processor_id(void)
> > > +void __init __weak smp_setup_processor_id(void)
> > >  {
> > >  }
> > 
> > ack on all three. Please fold #3 into #1 and add both to git-powerpc.
> 
> Damn ! I took 5mn to actually split it out in order to not do two
> different things in one patch :-)

ah, I misread it.  I thought this was changing the __attribute__((weak))
which patch #1 added.  But it's changing a different one.  I though that
was odd.

> Will do.

whatever ;)